<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (is_admin(array(101, 102, 103))) {
    show_title('site.png', 'Администрация сайта');
    $config['newtitle'] = 'Администрация сайта';
    # ###########################################################################################
    # #                                     Вывод администрации                                ##
    # ###########################################################################################
    $queryadmin = DB :: $dbh -> query("SELECT users_login, users_level FROM users WHERE users_level>=? AND users_level<=?;", array(101, 105));
    $arradmin = $queryadmin -> fetchAll();
    $total = count($arradmin);

    if ($total > 0) {
        foreach($arradmin as $value) {
            echo '<img src="../images/img/user.gif" alt="image" /> <b><a href="../pages/anketa.php?uz=' . $value['users_login'] . '&amp;' . SID . '">' . nickname($value['users_login']) . '</a></b>  (' . user_status($value['users_level']) . ') ' . user_online($value['users_login']) . '<br />';

            if (is_admin(array(101))) {
                echo '<img src="../images/img/edit.gif" alt="image" /> <a href="users.php?act=edit&amp;uz=' . $value['users_login'] . '&amp;' . SID . '">Изменить</a><br />';
            } 
        } 
        echo '<br />Всего в администрации: <b>' . $total . '</b><br /><br />';
    } else {
        show_error('Администрации еще нет!');
    } 

    echo '<img src="../images/img/panel.gif" alt="image" /> <a href="index.php?' . SID . '">В админку</a><br />';
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';
} else {
    header ('Location: ' . BASEDIR . 'index.php?' . SID);
    exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>